Miridia
Portal
Manufacturing

Work order templates

The work order templates operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/v1/work-order-templatesGet work order templates
POST/api/v1/work-order-templatesCreate work order template
GET/api/v1/work-order-templates/{templateId}Get work order template
PUT/api/v1/work-order-templates/{templateId}Update work order template
DELETE/api/v1/work-order-templates/{templateId}Delete work order template

Get work order templates

GET/api/v1/work-order-templates

Access. Send a bearer token or an API key. The caller needs the WorkOrders view permission.

Parameters

NameInTypeRequiredDescription
Pagequeryinteger (int32)NoLimits: minimum 1.
PageSizequeryinteger (int32)NoLimits: minimum 1, maximum 100.
$orderbyquerystringNoExample: "created_at desc" or "name asc"
$filterquerystringNoApply a ODATA style filter to the query to add a fixed constraint. For example, if you want to filter by the creation date, you would set the filter to "created_at ge 2022-01-01". Or if you want to filter by a specific status, you would set the filter to "status eq 'active'".
$searchquerystringNoProvide a search value which would inherit the 'CONTAINS' behaviour.
productIdquerystring (uuid)No

Response

200. Returns a PagedResult envelope. Each item in data is WorkOrderTemplateResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/work-order-templates" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "description": "string",
      "outputProductId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "outputProductTitle": "string",
      "outputProductCode": "string",
      "defaultQuantity": 0,
      "defaultProductionLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "defaultProductionLocationTitle": "string",
      "steps": [
        {}
      ],
      "dateModified": "2026-09-29T08:00:00Z",
      "dateCreated": "2026-09-29T08:00:00Z"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Create work order template

POST/api/v1/work-order-templates

Access. Send a bearer token or an API key. The caller needs the WorkOrders modify permission.

Request body

Send JSON with the shape CreateWorkOrderTemplateCommand.

FieldTypeRequiredDescription
namestringNo
descriptionstringNo
outputProductIdstring (uuid)No
defaultQuantitynumber (double)No
defaultProductionLocationIdstring (uuid)No
stepsWorkOrderTemplateStepRequest[]No

Response

200. Returns a SingleResult envelope. The data field is WorkOrderTemplateResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/work-order-templates" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "outputProductId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "defaultQuantity": 0,
  "defaultProductionLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "steps": [
    {
      "stepNumber": 0,
      "title": "string",
      "instructions": "string"
    }
  ]
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "description": "string",
    "outputProductId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "outputProductTitle": "string",
    "outputProductCode": "string",
    "defaultQuantity": 0,
    "defaultProductionLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "defaultProductionLocationTitle": "string",
    "steps": [
      {}
    ],
    "dateModified": "2026-09-29T08:00:00Z",
    "dateCreated": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Get work order template

GET/api/v1/work-order-templates/{templateId}

Access. Send a bearer token or an API key. The caller needs the WorkOrders view permission.

Parameters

NameInTypeRequiredDescription
templateIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is WorkOrderTemplateResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/work-order-templates/{templateId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "description": "string",
    "outputProductId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "outputProductTitle": "string",
    "outputProductCode": "string",
    "defaultQuantity": 0,
    "defaultProductionLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "defaultProductionLocationTitle": "string",
    "steps": [
      {}
    ],
    "dateModified": "2026-09-29T08:00:00Z",
    "dateCreated": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Update work order template

PUT/api/v1/work-order-templates/{templateId}

Access. Send a bearer token or an API key. The caller needs the WorkOrders modify permission.

Parameters

NameInTypeRequiredDescription
templateIdpathstring (uuid)Yes

Request body

Send JSON with the shape UpdateWorkOrderTemplateCommand.

FieldTypeRequiredDescription
templateIdstring (uuid)No
namestringNo
descriptionstringNo
outputProductIdstring (uuid)No
defaultQuantitynumber (double)No
defaultProductionLocationIdstring (uuid)No
stepsWorkOrderTemplateStepRequest[]No

Response

200. Returns a SingleResult envelope. The data field is WorkOrderTemplateResponse.

Request
curl -X PUT "https://api.miridia.io/api/v1/work-order-templates/{templateId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "description": "string",
  "outputProductId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "defaultQuantity": 0,
  "defaultProductionLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "steps": [
    {
      "stepNumber": 0,
      "title": "string",
      "instructions": "string"
    }
  ]
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "description": "string",
    "outputProductId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "outputProductTitle": "string",
    "outputProductCode": "string",
    "defaultQuantity": 0,
    "defaultProductionLocationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "defaultProductionLocationTitle": "string",
    "steps": [
      {}
    ],
    "dateModified": "2026-09-29T08:00:00Z",
    "dateCreated": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Delete work order template

DELETE/api/v1/work-order-templates/{templateId}

Access. Send a bearer token or an API key. The caller needs the WorkOrders delete permission.

Parameters

NameInTypeRequiredDescription
templateIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is boolean.

Request
curl -X DELETE "https://api.miridia.io/api/v1/work-order-templates/{templateId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": true,
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Models

The operations on this page use these object types. Select a type to see its fields.

WorkOrderTemplateResponse
FieldTypeDescription
idstring (uuid)
namestring
descriptionstring
outputProductIdstring (uuid)
outputProductTitlestring
outputProductCodestring
defaultQuantitynumber (double)
defaultProductionLocationIdstring (uuid)
defaultProductionLocationTitlestring
stepsWorkOrderTemplateStepResponse[]
dateModifiedstring (date-time)
dateCreatedstring (date-time)
WorkOrderTemplateStepRequest

One ordered step of a work order template, supplied when creating or updating a template.

FieldTypeDescription
stepNumberinteger (int32)
titlestring
instructionsstring
WorkOrderTemplateStepResponse
FieldTypeDescription
idstring (uuid)
stepNumberinteger (int32)
titlestring
instructionsstring